VulGerrity 1 jan 2013 om 7:04nm
Get RCT3 to run on Mac OS 10.6.8?
I recently bought RCT3 but when I click play it says that it can't run on my machine, that it needs OS 10.7.5 or higher.

I really don't want to update to Lion at all, I think Lion stinks. Is there anyway I can get it to run on Snow Leopard?
1-3 van 3 reacties weergegeven
< >
[BA] Carlos Danger 1 jan 2013 om 7:39nm 
DNo updateno game
exp:/13 - Phil Mc Filou - 9 jun 2013 om 2:11vm 
me too
sudo 9 jun 2013 om 10:29vm 
I also want it on Snow Leopard, but you should have read the system requirements before you bought it.
1-3 van 3 reacties weergegeven
< >
Per pagina: 15 30 50
Geplaatst op: 1 jan 2013 om 7:04nm
Aantal berichten: 3